Summary:	Stress test a computer system in various ways
Name:		stress-ng
Version:	0.15.00
Release:	2%{?dist}
License:	GPLv2+
URL:		https://github.com/ColinIanKing/stress-ng
Source0:	https://github.com/ColinIanKing/stress-ng/archive/V%{version}/%{name}-%{version}.tar.gz

BuildRequires:	make gcc kernel-headers
BuildRequires:	glibc-devel libaio-devel libattr-devel
BuildRequires:	libcap-devel keyutils-libs-devel
BuildRequires:	libgcrypt-devel lksctp-tools-devel zlib-devel Judy-devel
BuildRequires:	libatomic

%description
stress-ng will stress test a computer system in various selectable ways.
It was designed to exercise various physical subsystems of a computer as
well as the various operating system kernel interfaces. Stress-ng features:

290+ stress tests
80+ CPU specific stress tests that exercise floating point, integer, bit
manipulation and control flow
20+ virtual memory stress tests
40+ file system stress tests
30+ memory/CPU cache stress tests


%prep
%autosetup

%build
%make_build

%install
install -pm755 -D %{name} %{buildroot}%{_bindir}/%{name}
install -pm644 -D %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
mkdir -p %{buildroot}%{_datadir}/bash-completion/completions
install -pm644 bash-completion/%{name} \
    %{buildroot}%{_datadir}/bash-completion/completions/%{name}

%files
%license COPYING
%doc README.md
%{_bindir}/%{name}
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/%{name}
%{_mandir}/man1/%{name}.1.*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.15.00-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Jul 11 2023 cunshunxia <cunshunxia@tencent.com> - 0.15.00-1
- upgrade to 0.15.00

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14.05-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.14.05-3
- Rebuilt for OpenCloudOS Stream 23

* Wed Jan 11 2023 cunshunxia <cunshunxia@tencent.com> - 0.14.05-2
- update description

* Mon Nov 28 2022 cunshunxia <cunshunxia@tencent.com> - 0.14.05-1
- initial build
